Thread Verfasser: fred0815
Thread ID: 826
Thread Info
Es gibt 5 Beiträge zu diesem Thema, und es wurde 4917 Mal angesehen.
 Thema drucken
Fatal error
fred0815
Moin, schön, dass ich euch alle hier wiedergefunden habe, nachdem das alte Forum plötzlich weg war.
Zum Problem:
Mein alter Windows7-Rechner hatte massive Probleme, deshalb habe ich eine neue Festplatte gekauft und alles neu installiert, auch xampp.
Jetzt habe ich die neueste Version von php-fusion runtergeladen und versucht diese zu installieren, jedoch klappt es nicht.
Ich habe eine (Maria-DB)Mysql-DB angelegt und die Installation gestartet, alles ist grün, ich trage den Namen für root ein, Namen für die DB etc. aber dann kommt der Fehler. Die alte fusion war auf C: die neue ist auf Z:

Fatal error: Uncaught Error: Call to undefined function mysql_connect() in Z:\xampp\htdocs\fusion\setup.php:335 Stack trace: #0 {main} thrown in Z:\xampp\htdocs\fusion\setup.php on line 335

Ich habe auch schon probiert, die alte Mysql-DB rüberzukopieren, aber auch dann will er nicht:

Fatal error: Uncaught Error: Call to undefined function mysql_connect() in Z:\xampp\htdocs\fusion_org\maincore.php:255 Stack trace: #0 Z:\xampp\htdocs\fusion_org\maincore.php(51): dbconnect('localhost', 'root', '', 'fusion') #1 Z:\xampp\htdocs\fusion_org\index.php(18): require_once('Z:\\xampp\\htdocs...') #2 {main} thrown in Z:\xampp\htdocs\fusion_org\maincore.php on line 255

Was mache ich denn falsch, oder gibts inkompatible Komponenten ?
Aus Sicherheitsgründen will ich natürlich auf dem neuesten Stand der Versionen sein.
Habe jetzt diese Lösung gefunden:
http://community.webmeteor24.de/artic...-auf-PHP7?
MfG
Bearbeitet von fred0815 am 27. März 2016 11:41:50
Information:
PHP Version: Nicht ausgewählt •  MySQL Version: Nicht ausgewählt •  PHP-Fusion: Nicht ausgewählt
 
Rolly8-HL
Hallo, zwei Sachen,
1. das neuste von Xampp für PHP 7? das klappt nicht über den Setup die muss dazu angepasst sein, Abhilfe: alte funktionierende Fusion inc. DB (selber Name) spiegeln und den Anweisungen folgen von der Seite die Du gefunden hast.

2. Ältere Version von Xampp nutzen die noch nicht die PHP 7 unterstützt.

Oder hole Dir die neue Fusion V9 RC3 und nutze die mit PDO.

Da die Fusion 7.2.7 nicht für PHP 7 ausgelegt ist klappt es ohne hin nicht richtig und selbst wenn auch nicht alles.
Bearbeitet von Rolly8-HL am 27. März 2016 16:38:47
Gruß Rolly8-HL
Was für Andere Wichtig ist muss für mich nicht genauso Wichtig sein!
Bin Dickkopf Unbelehrbar mache aus Protest nicht das was andere für Richtig halten!
Das gibt einem zu Denken oder?
Information:
PHP Version: Nicht ausgewählt •  MySQL Version: Nicht ausgewählt •  PHP-Fusion: Nicht ausgewählt
 
fred0815
Ja, ich merke es.
Konnte dir ja bis zu dem Tipgeber folgen und habe es soweit umgesetzt.
Aber alles ist furchtbar zäh, am besten ich schiebe die Homepage auf meinen Raspberry Pi, da läuft noch php5.
MfG
Bearbeitet von fred0815 am 28. März 2016 07:09:46
Information:
PHP Version: Nicht ausgewählt •  MySQL Version: Nicht ausgewählt •  PHP-Fusion: Nicht ausgewählt
 
SaFuRa
Hallo. Ich benötige ebenfalls hilfe. Ich versuche gerade die fusion 7.2.07 auf meinem webspace zu inastallieren. Alles okay soweit. nur wirft er mir nach dem Eingeben der DB-Daten, folgenden Fehler zurück:

Zitat

Fatal error: Uncaught Error: Call to undefined function mysql_connect() in /www/htdocs/w017ebc8/maki-lyrik-sachsen.de/setup.php:214 Stack trace: #0 {main} thrown in /www/htdocs/w017ebc8/maki-lyrik-sachsen.de/setup.php on line 214


Was bedeutet dieser? Und wie kann ich den beheben?

Vielen Dank...
Information:
PHP Version: Nicht ausgewählt •  MySQL Version: Nicht ausgewählt •  PHP-Fusion: Nicht ausgewählt
 
Krelli
PHP-Fusion 7.02.07 läuft im Original nicht mehr auf aktuellen Serverkonfigurationen.
Du solltest entweder das „Inoffizielle Update“ von hier verwenden oder (falls du diese Möglichkeit auf deinem Webspace) hast die zu verwendende PHP-Version auf Max. 5.5.x einstellen.
Letzteres ist als Dauerlösung aber nicht zu empfehlen.
Information:
PHP Version: 8.2.x •  MySQL Version: Nicht ausgewählt •  PHP-Fusion: IPv9-DE-MOD
 
Springe ins Forum: